Bug 1439744 - gi.overrides.BlockDev.LVMError: Failed to call the 'Activate' method on the '/com/redhat/lvmdbus1/ThinPool/0' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Lv', 'Exit code 5, stderr = Volume ...
Summary: gi.overrides.BlockDev.LVMError: Failed to call the 'Activate' method on the '...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ba72fce0dbfd8ac5437c16610b9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-06 12:58 UTC by Pavel Holica
Modified: 2018-05-29 11:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:58:42 UTC


Attachments (Terms of Use)
File: anaconda-tb (213.15 KB, text/plain)
2017-04-06 12:58 UTC, Pavel Holica
no flags Details
File: environ (529 bytes, text/plain)
2017-04-06 12:58 UTC, Pavel Holica
no flags Details
File: lsblk_output (1.65 KB, text/plain)
2017-04-06 12:58 UTC, Pavel Holica
no flags Details
File: nmcli_dev_list (2.12 KB, text/plain)
2017-04-06 12:58 UTC, Pavel Holica
no flags Details
File: os_info (447 bytes, text/plain)
2017-04-06 12:58 UTC, Pavel Holica
no flags Details

Description Pavel Holica 2017-04-06 12:58:38 UTC
Description of problem:
Previous installation, I followed steps in: http://fedoraproject.org/wiki/QA:Testcase_partitioning_custom_lvmthin
Current installation:
I used blivet-gui
Created following partitions:
/boot/efi 200M
/boot 1G ext3
swap 2G
/ rest of space ext3

Version-Release number of selected component:
anaconda-26.21.1-1

The following was filed automatically by anaconda:
anaconda 26.21.1-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/gi/overrides/BlockDev.py", line 745, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1928, in _setup
    blockdev.lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1801, in decorated
    return meth(self, *args, **kwargs)  # pylint: disable=not-callable
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 377, in setup
    self._setup(orig=orig)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1898, in setup
    return DMDevice.setup(self, orig)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1801, in decorated
    return meth(self, *args, **kwargs)  # pylint: disable=not-callable
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/device.py", line 209, in setup_parents
    parent.setup(orig=orig)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1894, in setup_parents
    Device.setup_parents(self, orig=orig)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 363, in _pre_setup
    self.setup_parents(orig=orig)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 868, in _pre_setup
    if not super(LVMLogicalVolumeBase, self)._pre_setup(orig=orig):
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 374, in setup
    if not self._pre_setup(orig=orig):
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1898, in setup
    return DMDevice.setup(self, orig)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1801, in decorated
    return meth(self, *args, **kwargs)  # pylint: disable=not-callable
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/deviceaction.py", line 695, in execute
    self.device.setup(orig=True)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 437, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 471, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install.py", line 356, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.LVMError: Failed to call the 'Activate' method on the '/com/redhat/lvmdbus1/ThinPool/0' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Lv', 'Exit code 5, stderr =   Volume group "fedora" not found\n  Cannot process volume group fedora\n')

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-0.rc3.git0.2.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26

Comment 1 Pavel Holica 2017-04-06 12:58:44 UTC
Created attachment 1269387 [details]
File: anaconda-tb

Comment 2 Pavel Holica 2017-04-06 12:58:45 UTC
Created attachment 1269388 [details]
File: environ

Comment 3 Pavel Holica 2017-04-06 12:58:47 UTC
Created attachment 1269389 [details]
File: lsblk_output

Comment 4 Pavel Holica 2017-04-06 12:58:49 UTC
Created attachment 1269390 [details]
File: nmcli_dev_list

Comment 5 Pavel Holica 2017-04-06 12:58:50 UTC
Created attachment 1269391 [details]
File: os_info

Comment 6 Fedora End Of Life 2018-05-03 08:37:10 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 11:58:42 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.